## org.omg.PortableInterceptor
Class ORBInitInfoHelper

    java.lang.Object
      |
      +--org.omg.PortableInterceptor.ORBInitInfoHelper

public class ORBInitInfoHelper
extends java.lang.Object

Helper class for : ORBInitInfo

Author:
  OpenORB Compiler

Constructor Summary
`ORBInitInfoHelper()`

Method Summary
`static ORBInitInfo` `extract(Any a)` Extract ORBInitInfo from an any
`static java.lang.String` `id()` Return the ORBInitInfo IDL ID
`static void` `insert(Any a, ORBInitInfo t)` Insert ORBInitInfo into an any
`static ORBInitInfo` `narrow(Object obj)` Narrow CORBA::Object to ORBInitInfo
`static ORBInitInfo` `read(InputStream istream)` Read ORBInitInfo from a marshalled stream
`static TypeCode` `type()` Return the ORBInitInfo TypeCode
`static ORBInitInfo` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to ORBInitInfo
`static void` `write(OutputStream ostream, ORBInitInfo value)` Write ORBInitInfo into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ORBInitInfoHelper

    public ORBInitInfoHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ORBInitInfo t)

  Insert ORBInitInfo into an any
  Parameters:
    `a` - an any
    `t` - ORBInitInfo value

### extract

    public static ORBInitInfo extract(Any a)

  Extract ORBInitInfo from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ORBInitInfo value

### type

    public static TypeCode type()

  Return the ORBInitInfo TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ORBInitInfo IDL ID
  Returns:
    an ID

### read

    public static ORBInitInfo read(InputStream istream)

  Read ORBInitInfo from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ORBInitInfo value

### write

    public static void write(OutputStream ostream,
                             ORBInitInfo value)

  Write ORBInitInfo into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ORBInitInfo value

### narrow

    public static ORBInitInfo narrow(Object obj)

  Narrow CORBA::Object to ORBInitInfo
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ORBInitInfo Object

### unchecked_narrow

    public static ORBInitInfo unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to ORBInitInfo
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ORBInitInfo Object